#include "philo.h"

void	print_message(t_philo *philo, char *msg)
{
	long int		time_stamp;
	struct timeval	stime;
	char			*color;

	gettimeofday(&stime, NULL);
	time_stamp = (stime.tv_sec - philo->global->t_start_s) * 1000;
	time_stamp += (stime.tv_usec - philo->global->t_start_u) / 1000;
	color = WHITE;
	if (ft_strnstr(msg, "eating", ft_strlen(msg)))
		color = B_YELLOW;
	else if (ft_strnstr(msg, "sleeping", ft_strlen(msg)))
		color = B_BLUE;
	else if (ft_strnstr(msg, "thinking", ft_strlen(msg)))
		color = B_GREEN;
	pthread_mutex_lock(&(philo->global->m_print));
	ft_printf("%s%i %i %s%s\n", color, time_stamp, philo->p_nbr, msg, RESET);
	pthread_mutex_unlock(&(philo->global->m_print));
}
